org.apache.tinkerpop.gremlin.process.traversal.step.map

## Class VertexTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.map.VertexTest

- Direct Known Subclasses:
    VertexTest.Traversals

      public abstract class VertexTest
      extends AbstractGremlinProcessTest

  Author:
    Marko A. Rodriguez (http://markorodriguez.com), Stephen Mallette (http://stephen.genoprime.com), Daniel Kuppitz (http://gremlin.guru)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `VertexTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VertexTest()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `g_E()`
    `void` | `g_EX11AsStringX()`
    `void` | `g_EX11X()`
    `void` | `g_EXe11X()`
    `void` | `g_EXe7_e11X()`
    `void` | `g_EXlistXe7_e11XX()`
    `void` | `g_V_hasLabelXloopsX_bothEXselfX()`
    `void` | `g_V_hasLabelXloopsX_bothXselfX()`
    `void` | `g_V_hasLabelXpersonX_V_hasLabelXsoftwareX_name()`
    `void` | `g_V_out_out()`
    `void` | `g_V_out_outE_inV_inE_inV_both_name()`
    `void` | `g_V_outE_hasXweight_1X_outV()`
    `void` | `g_V()`
    `void` | `g_VX1_2_3_4X_name()`
    `void` | `g_VX1AsStringX_outXknowsX()`
    `void` | `g_VX1X_out_name()`
    `void` | `g_VX1X_out_out_out()`
    `void` | `g_VX1X_out()`
    `void` | `g_VX1X_outE_inV()`
    `void` | `g_VX1X_outE_otherV()`
    `void` | `g_VX1X_outE()`
    `void` | `g_VX1X_outEXknows_createdX_inV()`
    `void` | `g_VX1X_outEXknowsX_bothV_name()`
    `void` | `g_VX1X_outEXknowsX_inV()`
    `void` | `g_VX1X_outXknows_createdX()`
    `void` | `g_VX1X_outXknowsX()`
    `void` | `g_VX1X_to_XOUT_knowsX()`
    `void` | `g_VX2X_in()`
    `void` | `g_VX2X_inE_outV()`
    `void` | `g_VX2X_inE()`
    `void` | `g_VX4X_both()`
    `void` | `g_VX4X_bothE_hasXweight_lt_1X_otherV()`
    `void` | `g_VX4X_bothE_otherV()`
    `void` | `g_VX4X_bothE()`
    `void` | `g_VX4X_bothEXcreatedX()`
    `void` | `g_VXlistX1_2_3XX_name()`
    `void` | `g_VXlistXv1_v2_v3XX_name()`
    `void` | `g_VXv1X_out()`
    `abstract Traversal<Edge,Edge>` | `get_g_E()`
    `abstract Traversal<Edge,Edge>` | `get_g_EX11X(Object e11Id)`
    `abstract Traversal<Edge,Edge>` | `get_g_EXe11X(Edge e11)`
    `abstract Traversal<Edge,Edge>` | `get_g_EXe7_e11X(Edge e7, Edge e11)`
    `abstract Traversal<Edge,Edge>` | `get_g_EXlistXe7_e11XX(Edge e7, Edge e11)`
    `abstract Traversal<Vertex,Edge>` | `get_g_V_hasLabelXloopsX_bothEXselfX()`
    `abstract Traversal<Vertex,Vertex>` | `get_g_V_hasLabelXloopsX_bothXselfX()`
    `abstract Traversal<Vertex,String>` | `get_g_V_hasLabelXpersonX_V_hasLabelXsoftwareX_name()`
    `abstract Traversal<Vertex,Vertex>` | `get_g_V_out_out()`
    `abstract Traversal<Vertex,String>` | `get_g_V_out_outE_inV_inE_inV_both_name()`
    `abstract Traversal<Vertex,Vertex>` | `get_g_V_outE_hasXweight_1X_outV()`
    `abstract Traversal<Vertex,Vertex>` | `get_g_V()`
    `abstract Traversal<Vertex,String>` | `get_g_VX1_2_3_4X_name(Object v1Id, Object v2Id, Object v3Id, Object v4Id)`
    `abstract Traversal<Vertex,String>` | `get_g_VX1X_out_name(Object v1Id)`
    `abstract Traversal<Vertex,Vertex>` | `get_g_VX1X_out_out_out(Object v1Id)`
    `abstract Traversal<Vertex,Vertex>` | `get_g_VX1X_out(Object v1Id)`
    `abstract Traversal<Vertex,Vertex>` | `get_g_VX1X_outE_inV(Object v1Id)`
    `abstract Traversal<Vertex,Vertex>` | `get_g_VX1X_outE_otherV(Object v1Id)`
    `abstract Traversal<Vertex,Edge>` | `get_g_VX1X_outE(Object v1Id)`
    `abstract Traversal<Vertex,Vertex>` | `get_g_VX1X_outEXknows_createdX_inV(Object v1Id)`
    `abstract Traversal<Vertex,String>` | `get_g_VX1X_outEXknowsX_bothV_name(Object v1Id)`
    `abstract Traversal<Vertex,Vertex>` | `get_g_VX1X_outEXknowsX_inV(Object v1Id)`
    `abstract Traversal<Vertex,Vertex>` | `get_g_VX1X_outXknows_createdX(Object v1Id)`
    `abstract Traversal<Vertex,Vertex>` | `get_g_VX1X_outXknowsX(Object v1Id)`
    `abstract Traversal<Vertex,Vertex>` | `get_g_VX1X_to_XOUT_knowsX(Object v1Id)`
    `abstract Traversal<Vertex,Vertex>` | `get_g_VX2X_in(Object v2Id)`
    `abstract Traversal<Vertex,Vertex>` | `get_g_VX2X_inE_outV(Object v2Id)`
    `abstract Traversal<Vertex,Edge>` | `get_g_VX2X_inE(Object v2Id)`
    `abstract Traversal<Vertex,Vertex>` | `get_g_VX4X_both(Object v4Id)`
    `abstract Traversal<Vertex,Vertex>` | `get_g_VX4X_bothE_hasXweight_lt_1X_otherV(Object v4Id)`
    `abstract Traversal<Vertex,Vertex>` | `get_g_VX4X_bothE_otherV(Object v4Id)`
    `abstract Traversal<Vertex,Edge>` | `get_g_VX4X_bothE(Object v4Id)`
    `abstract Traversal<Vertex,Edge>` | `get_g_VX4X_bothEXcreatedX(Object v4Id)`
    `abstract Traversal<Vertex,String>` | `get_g_VXlistX1_2_3XX_name(Object v1Id, Object v2Id, Object v3Id)`
    `abstract Traversal<Vertex,String>` | `get_g_VXlistXv1_v2_v3XX_name(Vertex v1, Vertex v2, Vertex v3)`
    `abstract Traversal<Vertex,Vertex>` | `get_g_VXv1X_out(Vertex v1)`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VertexTest

          public VertexTest()

  - ### Method Detail

    - #### get_g_VXlistXv1_v2_v3XX_name

          public abstract Traversal<Vertex,String> get_g_VXlistXv1_v2_v3XX_name(Vertex v1,
                                                                                Vertex v2,
                                                                                Vertex v3)

    - #### get_g_VXlistX1_2_3XX_name

          public abstract Traversal<Vertex,String> get_g_VXlistX1_2_3XX_name(Object v1Id,
                                                                             Object v2Id,
                                                                             Object v3Id)

    - #### get_g_V

          public abstract Traversal<Vertex,Vertex> get_g_V()

    - #### get_g_VXv1X_out

          public abstract Traversal<Vertex,Vertex> get_g_VXv1X_out(Vertex v1)

    - #### get_g_VX1X_out

          public abstract Traversal<Vertex,Vertex> get_g_VX1X_out(Object v1Id)

    - #### get_g_VX2X_in

          public abstract Traversal<Vertex,Vertex> get_g_VX2X_in(Object v2Id)

    - #### get_g_VX4X_both

          public abstract Traversal<Vertex,Vertex> get_g_VX4X_both(Object v4Id)

    - #### get_g_E

          public abstract Traversal<Edge,Edge> get_g_E()

    - #### get_g_EXe11X

          public abstract Traversal<Edge,Edge> get_g_EXe11X(Edge e11)

    - #### get_g_EX11X

          public abstract Traversal<Edge,Edge> get_g_EX11X(Object e11Id)

    - #### get_g_EXlistXe7_e11XX

          public abstract Traversal<Edge,Edge> get_g_EXlistXe7_e11XX(Edge e7,
                                                                     Edge e11)

    - #### get_g_EXe7_e11X

          public abstract Traversal<Edge,Edge> get_g_EXe7_e11X(Edge e7,
                                                               Edge e11)

    - #### get_g_VX1X_outE

          public abstract Traversal<Vertex,Edge> get_g_VX1X_outE(Object v1Id)

    - #### get_g_VX2X_inE

          public abstract Traversal<Vertex,Edge> get_g_VX2X_inE(Object v2Id)

    - #### get_g_VX4X_bothE

          public abstract Traversal<Vertex,Edge> get_g_VX4X_bothE(Object v4Id)

    - #### get_g_VX4X_bothEXcreatedX

          public abstract Traversal<Vertex,Edge> get_g_VX4X_bothEXcreatedX(Object v4Id)

    - #### get_g_VX1X_outE_inV

          public abstract Traversal<Vertex,Vertex> get_g_VX1X_outE_inV(Object v1Id)

    - #### get_g_VX2X_inE_outV

          public abstract Traversal<Vertex,Vertex> get_g_VX2X_inE_outV(Object v2Id)

    - #### get_g_V_outE_hasXweight_1X_outV

          public abstract Traversal<Vertex,Vertex> get_g_V_outE_hasXweight_1X_outV()

    - #### get_g_V_out_outE_inV_inE_inV_both_name

          public abstract Traversal<Vertex,String> get_g_V_out_outE_inV_inE_inV_both_name()

    - #### get_g_VX1X_outEXknowsX_bothV_name

          public abstract Traversal<Vertex,String> get_g_VX1X_outEXknowsX_bothV_name(Object v1Id)

    - #### get_g_VX1X_outXknowsX

          public abstract Traversal<Vertex,Vertex> get_g_VX1X_outXknowsX(Object v1Id)

    - #### get_g_VX1X_outXknows_createdX

          public abstract Traversal<Vertex,Vertex> get_g_VX1X_outXknows_createdX(Object v1Id)

    - #### get_g_VX1X_outEXknowsX_inV

          public abstract Traversal<Vertex,Vertex> get_g_VX1X_outEXknowsX_inV(Object v1Id)

    - #### get_g_VX1X_outEXknows_createdX_inV

          public abstract Traversal<Vertex,Vertex> get_g_VX1X_outEXknows_createdX_inV(Object v1Id)

    - #### get_g_V_out_out

          public abstract Traversal<Vertex,Vertex> get_g_V_out_out()

    - #### get_g_VX1X_out_out_out

          public abstract Traversal<Vertex,Vertex> get_g_VX1X_out_out_out(Object v1Id)

    - #### get_g_VX1X_out_name

          public abstract Traversal<Vertex,String> get_g_VX1X_out_name(Object v1Id)

    - #### get_g_VX1X_outE_otherV

          public abstract Traversal<Vertex,Vertex> get_g_VX1X_outE_otherV(Object v1Id)

    - #### get_g_VX4X_bothE_otherV

          public abstract Traversal<Vertex,Vertex> get_g_VX4X_bothE_otherV(Object v4Id)

    - #### get_g_VX4X_bothE_hasXweight_lt_1X_otherV

          public abstract Traversal<Vertex,Vertex> get_g_VX4X_bothE_hasXweight_lt_1X_otherV(Object v4Id)

    - #### get_g_VX1X_to_XOUT_knowsX

          public abstract Traversal<Vertex,Vertex> get_g_VX1X_to_XOUT_knowsX(Object v1Id)

    - #### get_g_VX1_2_3_4X_name

          public abstract Traversal<Vertex,String> get_g_VX1_2_3_4X_name(Object v1Id,
                                                                         Object v2Id,
                                                                         Object v3Id,
                                                                         Object v4Id)

    - #### get_g_V_hasLabelXpersonX_V_hasLabelXsoftwareX_name

          public abstract Traversal<Vertex,String> get_g_V_hasLabelXpersonX_V_hasLabelXsoftwareX_name()

    - #### get_g_V_hasLabelXloopsX_bothEXselfX

          public abstract Traversal<Vertex,Edge> get_g_V_hasLabelXloopsX_bothEXselfX()

    - #### get_g_V_hasLabelXloopsX_bothXselfX

          public abstract Traversal<Vertex,Vertex> get_g_V_hasLabelXloopsX_bothXselfX()

    - #### g_VXlistX1_2_3XX_name

          public void g_VXlistX1_2_3XX_name()

    - #### g_VXlistXv1_v2_v3XX_name

          public void g_VXlistXv1_v2_v3XX_name()

    - #### g_V

          public void g_V()

    - #### g_VX1X_out

          public void g_VX1X_out()

    - #### g_VXv1X_out

          public void g_VXv1X_out()

    - #### g_VX2X_in

          public void g_VX2X_in()

    - #### g_VX4X_both

          public void g_VX4X_both()

    - #### g_E

          public void g_E()

    - #### g_EX11X

          public void g_EX11X()

    - #### g_EXe11X

          public void g_EXe11X()

    - #### g_EXe7_e11X

          public void g_EXe7_e11X()

    - #### g_EXlistXe7_e11XX

          public void g_EXlistXe7_e11XX()

    - #### g_EX11AsStringX

          public void g_EX11AsStringX()

    - #### g_VX1X_outE

          public void g_VX1X_outE()

    - #### g_VX2X_inE

          public void g_VX2X_inE()

    - #### g_VX4X_bothEXcreatedX

          public void g_VX4X_bothEXcreatedX()

    - #### g_VX4X_bothE

          public void g_VX4X_bothE()

    - #### g_VX1X_outE_inV

          public void g_VX1X_outE_inV()

    - #### g_VX2X_inE_outV

          public void g_VX2X_inE_outV()

    - #### g_V_outE_hasXweight_1X_outV

          public void g_V_outE_hasXweight_1X_outV()

    - #### g_V_out_outE_inV_inE_inV_both_name

          public void g_V_out_outE_inV_inE_inV_both_name()

    - #### g_VX1X_outEXknowsX_bothV_name

          public void g_VX1X_outEXknowsX_bothV_name()

    - #### g_VX1X_outE_otherV

          public void g_VX1X_outE_otherV()

    - #### g_VX4X_bothE_otherV

          public void g_VX4X_bothE_otherV()

    - #### g_VX4X_bothE_hasXweight_lt_1X_otherV

          public void g_VX4X_bothE_hasXweight_lt_1X_otherV()

    - #### g_VX1X_outXknowsX

          public void g_VX1X_outXknowsX()

    - #### g_VX1AsStringX_outXknowsX

          public void g_VX1AsStringX_outXknowsX()

    - #### g_VX1X_outXknows_createdX

          public void g_VX1X_outXknows_createdX()

    - #### g_VX1X_outEXknowsX_inV

          public void g_VX1X_outEXknowsX_inV()

    - #### g_VX1X_outEXknows_createdX_inV

          public void g_VX1X_outEXknows_createdX_inV()

    - #### g_V_out_out

          public void g_V_out_out()

    - #### g_VX1X_out_out_out

          public void g_VX1X_out_out_out()

    - #### g_VX1X_out_name

          public void g_VX1X_out_name()

    - #### g_VX1X_to_XOUT_knowsX

          public void g_VX1X_to_XOUT_knowsX()

    - #### g_VX1_2_3_4X_name

          public void g_VX1_2_3_4X_name()

    - #### g_V_hasLabelXpersonX_V_hasLabelXsoftwareX_name

          public void g_V_hasLabelXpersonX_V_hasLabelXsoftwareX_name()

    - #### g_V_hasLabelXloopsX_bothEXselfX

          public void g_V_hasLabelXloopsX_bothEXselfX()

    - #### g_V_hasLabelXloopsX_bothXselfX

          public void g_V_hasLabelXloopsX_bothXselfX()

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.